## org.apache.catalina.core
Class ContainerBase.PrivilegedAddChild

    java.lang.Object
      org.apache.catalina.core.ContainerBase.PrivilegedAddChild

All Implemented Interfaces:
  java.security.PrivilegedAction

Enclosing class:
  ContainerBase

protected class ContainerBase.PrivilegedAddChild
extends java.lang.Object
implements java.security.PrivilegedAction

Perform addChild with the permissions of this class. addChild can be called with the XML parser on the stack, this allows the XML parser to have fewer privileges than Tomcat.

Method Summary
`java.lang.Object` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public java.lang.Object run()

  Specified by:
    `run` in interface `java.security.PrivilegedAction`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.